Subject: Re: [v6ops] IPv6 for mobile

From: <[email-masked]>
Date: Tue, 21 Dec 2010 21:50:30 +0000

PPP has IPCP and IPv6CP - this is not much different.

Best regards,

Teemu

----- Original message -----
> >
>
> > Hi,
> >
> > It might be worthwhile to repeat here that last year 3GPP had
> lengthy
> > discussion on transition mechanisms and if something was clear, was
> that there
> > is no interest for generalized host based tunneling (IPvx over IPvx)
> > approaches.
> >
> > For hosts the 3GPP access will look like dual-stack, or  IPv6-only
> with NAT64.
> >
> > In some mail there was question of HW dependencies.  It is this: in
> 3GPP
> > networks layer 2 has to explicitly support transport of IPv4  and IPv6
> packets
> > (I refer here to IPv4, IPv6, or IPv4v6 type of PDP contexts).  This
> layer 2 is
> > usually implemented as part of modem chipset firmware, which is  more
> difficult
> > to upgrade than the main handset OS. Current firmwares used in  modem
> chipsets
> > don't always support IPv6 type of PDP context..
> >
>
> Isn't it a layer violation to support IPv6 in Layer 2?
> In fact PDP context should be session layer in OSI layering, UE sets up
> a
> session with PDN GW and hence the implementation should be above IP
> layer.
> It is really weird.
>
>
>
>